import Vue from 'vue'
import Router from 'vue-router'
import TeacherRouter from './teacherRouter'


Vue.use(Router)

let defaultRouter = [
    {
        path: '/',
        redirect:  {
            name: 'business'
        }
    }]

defaultRouter = defaultRouter.concat(TeacherRouter)

const router = new Router({
    // mode: 'history',
    base: process.env.BASE_URL,
    routes: defaultRouter,
    scrollBehavior() {
        return { x: 0, y: 0 }
    }
})
router.onError((error) => {
    const pattern = /Loading chunk (\d)+ failed/g;
    const isChunkLoadFailed = error.message.match(pattern);
    const targetPath = router.history.pending.fullPath;
    if (isChunkLoadFailed) {
        router.replace(targetPath);
    }
})

export default router
